#include <bits/stdc++.h>
#define ll long long
using namespace std;
ll mod = 1000000007;

vector<int> v,vp;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    /**
     * vecoj druzoljubovsti se pomaze
     * 
    */
    int n,m;
    cin >> n >> m;
    v.resize(n+10);
    vp.resize(n+10);
    for(int i = 1; i <= n; i++) cin >> v[i];
    int a,b;
    while(m--){
        cin >> a >> b;
        if(abs(v[a]) > abs(v[b])){
            if(v[a] < 0){
                vp[a]--;
                vp[b]--;
            } else{
                vp[a]++;
                vp[b]++;
            }
        } else{
            if(v[b] < 0){
                vp[a]--;
                vp[b]--;
            } else{
                vp[a]++;
                vp[b]++;
            }
        }
    }

    ll s = 0;
    for(int i = 1; i <= n; i++){
        s+= ((ll)v[i]*vp[i]);
    }

    cout << s;

    return 0;
}